org.apache.geode.cache.configuration

## Class DiskDirType

- java.lang.Object
- - org.apache.geode.cache.configuration.DiskDirType

-     @Experimental
      public class DiskDirType
      extends java.lang.Object

  A "disk-dir" element specifies one of a region or diskstore's disk directories.

  Java class for disk-dir-type complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="disk-dir-type">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="dir-size" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `content`
    `protected java.lang.String` | `dirSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiskDirType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContent()` A "disk-dir" element specifies one of a region or diskstore's disk directories.
    `java.lang.String` | `getDirSize()` Gets the value of the dirSize property.
    `void` | `setContent(java.lang.String value)` Sets the value of the content property.
    `void` | `setDirSize(java.lang.String value)` Sets the value of the dirSize property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### content

          protected java.lang.String content

    - #### dirSize

          protected java.lang.String dirSize

  - ### Constructor Detail

    - #### DiskDirType

          public DiskDirType()

  - ### Method Detail

    - #### getContent

          public java.lang.String getContent()

      A "disk-dir" element specifies one of a region or diskstore's disk directories.
      Returns:
        possible object is `String`

    - #### setContent

          public void setContent(java.lang.String value)

      Sets the value of the content property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDirSize

          public java.lang.String getDirSize()

      Gets the value of the dirSize property.
      Returns:
        possible object is `String`

    - #### setDirSize

          public void setDirSize(java.lang.String value)

      Sets the value of the dirSize property.
      Parameters:
        `value` - allowed object is `String`